Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisEndpoint

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisEndpoint

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude

    public class AxisEndpoint

extends AxisDescription

Field Summary

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`AxisEndpoint()`

Method Summary
`java.lang.String` | `calculateEndpointURL()`
`java.lang.String` | `calculateEndpointURL(java.lang.String hostIP)`
`void` | `engageModule(AxisModule axisModule)` Engage a Module at this level
`java.lang.String` | `getAlias()`
`AxisService` | `getAxisService()`
`AxisBinding` | `getBinding()`
`java.lang.String` | `getEndpointURL()`
`java.lang.Object` | `getKey()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`boolean` | `isActive()`
`boolean` | `isEngaged(java.lang.String moduleName)` Check if a given module is engaged at this level.
`void` | `setAlias(java.lang.String alias)`
`void` | `setBinding(AxisBinding binding)`
`void` | `setEndpointURL(java.lang.String endpointURL)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(AxisService service)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setTransportInDescription(java.lang.String transportInDescName)`
`org.apache.axiom.om.OMElement` | `toWSDL20(org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace tns, org.apache.axiom.om.OMNamespace whttp)`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isParameterLocked, isParameterTrue, onDisengage, onEngage, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisEndpoint

    public AxisEndpoint()

Method Detail

### getEndpointURL

    public java.lang.String getEndpointURL()

### setEndpointURL

    public void setEndpointURL(java.lang.String endpointURL)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Parameters:
    `name` - name of the property to search for
  Returns:
    the value of the property, or null if the property is not found

### getAlias

    public java.lang.String getAlias()

### setAlias

    public void setAlias(java.lang.String alias)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getBinding

    public AxisBinding getBinding()

### setBinding

    public void setBinding(AxisBinding binding)

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in class `AxisDescription`

### engageModule

    public void engageModule(AxisModule axisModule)
                      throws AxisFault

  Description copied from class: `AxisDescription`
  Engage a Module at this level

  Overrides:
    `engageModule` in class `AxisDescription`
  Parameters:
    `axisModule` - the Module to engage
  Throws:
    `AxisFault` - if there's a problem engaging

### isEngaged

    public boolean isEngaged(java.lang.String moduleName)

  Description copied from class: `AxisDescription`
  Check if a given module is engaged at this level.

  Overrides:
    `isEngaged` in class `AxisDescription`
  Parameters:
    `moduleName` - module to investigate.
  Returns:
    true if engaged, false if not. TODO: Handle versions? isEngaged("addressing") should be true even for versioned modulename...

### toWSDL20

    public org.apache.axiom.om.OMElement toWSDL20(org.apache.axiom.om.OMNamespace wsdl,
                                                  org.apache.axiom.om.OMNamespace tns,
                                                  org.apache.axiom.om.OMNamespace whttp)

### getAxisService

    public AxisService getAxisService()

### setParent

    public void setParent(AxisService service)

### setTransportInDescription

    public void setTransportInDescription(java.lang.String transportInDescName)

### calculateEndpointURL

    public java.lang.String calculateEndpointURL()

### calculateEndpointURL

    public java.lang.String calculateEndpointURL(java.lang.String hostIP)

### isActive

    public boolean isActive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.